Subject: RE: [Tsvwg] SCTP Max.burst and CWND

From: [email-masked]
Date: Mon, 4 Mar 2002 06:37:49 +0200

Hi again!

	Just few comments...

> > Let me describe also a more elegant solution to prevent the
> > negative effects
> > of bursts without the Max.Burst method.
> > Please correct me if I'm wrong.
> > The problem is not the burst itself, but the burst after some
> > time of very
> > low traffic, e.g
> > zero window probing.
> 
> Well, the burst itself is also a problem...
> 
> [RB]
> IMHO A burst is only a problem if the sum of all flows 
> exceeds the total
> link bandwith, and routers have to drop packets. If we are 
> not sending for
> only a very short time (say one RTT) the other flows wont 
> increase their
> bandwith very much and we can send a burst of the size of the 

	Then... if you agree that within one RTT the flows shouldn't have changed much, why then decreasing Cwnd if it has been unused during that time? :-/

> full CWND,
> without producing overload. If we dont send for a longer 
> peroid, other flows
> increase, and we should not send bursts with ths size of 
> CWND, because our
> CWND doesnt show the actual situation on the link. Therefore 
> my idea to
> schrink it, if it is not fully used, so that it shows the 
> actual situation
> on the link again.
> I must confess that this idea is idealized and MAY be a 
> disatvantage when
> competing with TCP.
> 
> > A second flow sharing bandwith of a limited bandwith link can
> > increase its
> > CWND while we
> > are zero window probing, but our CWND stays the same.
> > After release of the RWND=0 condition we use our full CWND
> > which causes
> > congestion
> > and losses on the link. So the real problem is, that our CWND
> > doesnt decay
> > when we use
> > only a part of it.
> > If we cut our CWND in half once per RTT as we do when idle
> > would solve the
> > problem,
> > because we shrink our CWND faster than other flows would
> > increase their
> > CWND, and so
> > we can use our full CWND any time without exeeding the total
> > link capacity.
> 
> You have to half your cwnd if it stays idle during one RTO... 
> But halving it
> every RTT is far too restrictive in my opinion...
> 
> [RB]
> But we half it EVERY RTO when we are idle, and RTT and RTO 
> are of the same
> order of magnitude, so I dont see a big difference.

	Not really... RTO is always set at least to RTO.Min, which is suggested to be one second, while RTT is in the order of tens or few hundredths of milliseconds... I would say that in average, RTO is about 10 times bigger than RTT...

	BR Iván Arias Rodríguez

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg